# Generated from peaty-0.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name peaty

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?dist}
Summary: Pivotal Tracker API Implementation
License: MIT
URL: http://github.com/mtodd/peaty
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(builder)
# BuildRequires: rubygem(jeweler) >= 1.6.0
# BuildRequires: rubygem(jeweler) < 1.7
# BuildRequires: rubygem(rails_code_qa)
BuildArch: noarch

%description
Just another Pivotal Tracker API Implementation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/Readme.textile
%{gem_instdir}/peaty.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.5.0-1
- Initial package
